From 3e22460b26e6184b7428f17ad59f6b86112856a0 Mon Sep 17 00:00:00 2001
From: Karan Saxena <karan@ti.com>
Date: Sun, 27 Sep 2020 06:34:55 -0400
Subject: [PATCH] Add support to load firmware via R5 SPL from eMMC

Signed-off-by: Karan Saxena <karan@ti.com>
---
 arch/arm/mach-k3/common.c   | 2 ++
 include/configs/j721e_evm.h | 4 ++--
 2 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/arch/arm/mach-k3/common.c b/arch/arm/mach-k3/common.c
index 746a12148c..2ea4ff0e29 100644
--- a/arch/arm/mach-k3/common.c
+++ b/arch/arm/mach-k3/common.c
@@ -94,6 +94,7 @@ void init_env(void)
 	env_load();
 	switch (spl_boot_device()) {
 	case BOOT_DEVICE_MMC2:
+	case BOOT_DEVICE_MMC1:
 		part = env_get("bootpart");
 		env_set("storage_interface", "mmc");
 		env_set("fw_dev_part", part);
@@ -122,6 +123,7 @@ int load_firmware(char *name_fw, char *name_loadaddr, u32 *loadaddr)
 #ifdef CONFIG_SPL_ENV_SUPPORT
 	switch (spl_boot_device()) {
 	case BOOT_DEVICE_MMC2:
+	case BOOT_DEVICE_MMC1:
 		name = env_get(name_fw);
 		*loadaddr = env_get_hex(name_loadaddr, *loadaddr);
 		break;
diff --git a/include/configs/j721e_evm.h b/include/configs/j721e_evm.h
index edf747b8d3..9036e6e014 100644
--- a/include/configs/j721e_evm.h
+++ b/include/configs/j721e_evm.h
@@ -85,8 +85,8 @@
 /* U-Boot MMC-specific configuration */
 #define EXTRA_ENV_J721E_BOARD_SETTINGS_MMC				\
 	"boot=mmc\0"							\
-	"mmcdev=1\0"							\
-	"bootpart=1:2\0"						\
+	"mmcdev=0\0"							\
+	"bootpart=0:2\0"						\
 	"bootdir=/boot\0"						\
 	"mainr5f0_0loadaddr=88000000\0"					\
 	"mainr5f0_0fwname=/lib/firmware/j7-main-r5f0_0-fw\0"		\
-- 
2.17.1

